Subject: bug#60460: 30.0.50; [FR] avoid putting remote files to local trash

From: Jean Louis <[email-masked]>
Date: Mon, 2 Jan 2023 19:28:40 +0300

* Michael Albinus <[email-masked]> [2023-01-02 13:48]:
> Jean Louis <[email-masked]> writes:
> 
> Hi Jean,
> 
> >> Alternatively, we could add a new user option
> >> `remote-file-name-inhibit-delete-by-moving-to-trash' (*),
> >
> > That sounds good.
> >
> > But what is remote? Is /sudo:: also remote? User may want to have
> > access to sudo and move those files to Trash as well.
> 
> "/sudo::" is also remote. And yes, it shouldn't go either to the user's
> trash directory (if configured so), it could be a security problem.

Beyond this discussion, I don't see security problem. When somebody
has sudo rights, then that person can transfer files anywhere that
person wants.

Settings in Emacs to delete by moving trash are explicit decisions of
user. Same with `sudo'. Administrator gives privilege to `sudoer',
and that sudoer may do what he thinks is right and good.

I would personally prefer that sudo editing goes in trash.

Anyway, when editing with sudo I see this file:

  lrwxrwxrwx   1 root root       46 Jan  2 19:27 .#at.deny -> [email-masked]

which is dangling symlink, do you know about it? Is it bug?

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/